net.corda.node.services.statemachine

## Class FlowSession

- net.corda.node.services.statemachine.FlowSession

-     public class FlowSession

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowSession(FlowLogic<?> flow, long ourSessionId, Party initiatingParty, FlowSessionState state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowStateMachineImpl<?>` | `getFiber()`
    `FlowLogic<?>` | `getFlow()`
    `Party` | `getInitiatingParty()`
    `long` | `getOurSessionId()`
    `java.util.concurrent.ConcurrentLinkedQueue<net.corda.node.services.statemachine.ReceivedSessionMessage>` | `getReceivedMessages()`
    `FlowSessionState` | `getState()`
    `void` | `setState(FlowSessionState p)`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### FlowSession

          public FlowSession(FlowLogic<?> flow,
                             long ourSessionId,
                             Party initiatingParty,
                             FlowSessionState state)

  - ### Method Detail

    - #### getReceivedMessages

          public java.util.concurrent.ConcurrentLinkedQueue<net.corda.node.services.statemachine.ReceivedSessionMessage> getReceivedMessages()

    - #### getFiber

          public FlowStateMachineImpl<?> getFiber()

    - #### toString

          public java.lang.String toString()

    - #### getFlow

          public FlowLogic<?> getFlow()

    - #### getOurSessionId

          public long getOurSessionId()

    - #### getInitiatingParty

          public Party getInitiatingParty()

    - #### getState

          public FlowSessionState getState()

    - #### setState

          public void setState(FlowSessionState p)